using System;
using System.Collections.ObjectModel;

namespace LearnWPF.DataTemplates
{

    public class MSEmployeeCollection : ObservableCollection<Employee>
    {
        // create some test data in the constructor
        public MSEmployeeCollection()
        {
            this.Add(new Employee("Steven J. Ballmer", "Head Office", "CEO", "Provide strategic management and operational leadership", "steveb@microsoft.com", "ballmer_tongue.jpg"));
            this.Add(new Employee("William H. Gates III", "Head Office", "Chairman & Chief Software Architect", "Provide technical leadership", "billg@microsoft.com", "Gates.jpg"));
            this.Add(new Employee("The Masked Avenger", "DPE", "Linux Community Specialist", "Engage the linux community in a frank and open exchange of views.", "maskedavenger@microsoft.com", "WrestlingMask.jpg"));
            this.Add(new Employee("Brian Valentine", "Windows Division", "Senior Vice-President", "Mange the evolution of windows into the next centry.", "brianv@microsoft.com", "brianvalentine.jpg"));
        }
    }

    public class Employee
    {
        private string _name;
        private string _department;
        private string _title;
        private string _jobDescription;
        private string _emailAddress;
        private string _imagePath;


        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        public string Department
        {
            get { return _department; }
            set { _department = value; }
        }

        public string Title
        {
            get { return _title; }
            set { _title = value; }
        }

        public string JobDescription
        {
            get { return _jobDescription; }
            set { _jobDescription = value; }
        }
        public string EmailAddress
        {
            get { return _emailAddress; }
            set { _emailAddress = value; }
        }
        public string ImagePath
        {
            get { return _imagePath; }
            set { _imagePath = value; }
        }

        public Employee(string name, string department, string title, string jobDescription, string email, string image)
        {
            this.Name = name;
            this.Department = department;
            this.JobDescription = jobDescription;
            this.EmailAddress = email;
            this.Title = title;
            this.ImagePath = "pack://application:,,/Media/" + image;
        }
    }
}
